All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
uhd::io_type_t Class Reference

`#include <io_type.hpp>`

## Public Types

enum | tid_t { CUSTOM_TYPE = int('?'), COMPLEX_FLOAT64 = int('d'), COMPLEX_FLOAT32 = int('f'), COMPLEX_INT16 = int('s'), COMPLEX_INT8 = int('b') }

## Public Member Functions

| io_type_t (tid_t tid)
| io_type_t (size_t size)

## Public Attributes

const size_t | size
const tid_t | tid

## Detailed Description

The DEPRECATED Input/Output configuration struct: Used to specify the IO type with device send/recv.

Deprecated in favor of streamer interface. Its still in this file for the sake of gr-uhd swig.

## Member Enumeration Documentation

enum uhd::io_type_t::tid_t

Built in IO types known to the system.

Enumerator
CUSTOM_TYPE | Custom type (technically unsupported by implementation)
COMPLEX_FLOAT64 | Complex floating point (64-bit floats) range [-1.0, +1.0].
COMPLEX_FLOAT32 | Complex floating point (32-bit floats) range [-1.0, +1.0].
COMPLEX_INT16 | Complex signed integer (16-bit integers) range [-32768, +32767].
COMPLEX_INT8 | Complex signed integer (8-bit integers) range [-128, 127].

## Constructor & Destructor Documentation

uhd::io_type_t::io_type_t | ( | tid_t | tid | ) |

Create an io type from a built-in type id.

Parameters

  tid | a type id known to the system

uhd::io_type_t::io_type_t | ( | size_t | size | ) |

Create an io type from attributes. The tid will be set to custom.

Parameters

  size | the size in bytes

## Member Data Documentation

const size_t uhd::io_type_t::size

The size of this io type in bytes.

const tid_t uhd::io_type_t::tid

The type id of this io type. Good for using with switch statements.

The documentation for this class was generated from the following file:

- include/uhd/types/io_type.hpp